{% extends 'app_base.html.twig' %}

{% block title %} {{ 'login.head.title'|trans }} - {{ appName }}{% endblock %}
{% block body %}

    <h2>
        {{ 'login.page.title'|trans }}
    </h2>
    {% if error %}
        <div class="alert alert-warning">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <div>
        <form class="col-md-6" action="{{ path('app_account_login') }}" method="post">
            <div class="mb-2">
                <label for="username" class="form-label">
                    {{ 'login.form.label.account'|trans }}
                </label>
                <input type="text" id="username" name="_username"
                       class="form-control" value="{{ last_username }}">
            </div>

            <div class="mb-2">
                <label class="form-label" for="password">
                    {{ 'login.form.label.password'|trans }}
                </label>
                <input class="form-control" type="password" id="password" name="_password">
            </div>
            {# If you want to control the URL the user is redirected to on success
            <input type="hidden" name="_target_path" value="/account"> #}

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
            <button id="login-form-button-submit" type="submit" class="btn btn-primary">
                {{ 'login.form.submit'|trans|raw }}
            </button>
        </form>
        <hr class="col-3 col-md-2 mb-5">

        <a id="public_lost-password_link"
           href="{{ path('app_account_forgot_password_request') }}">
            {{ 'login.link.forgot_password'|trans }}
        </a>

    </div>
{% endblock %}
